using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.BaseData.Domain.Entities.FM
{
    [Description("日历模板表")]
   [IgnoreT4]public class T_FM_CALENDAR : MesEntityBase
    {
        [Description("编码")]
        [CUnique]
        public string CODE { get; set; }

        [Description("名称")]
        [AcronymField("NAME_ACRONYM")]
        public string NAME { get; set; }
        /// <summary>
        /// 名称首字母缩写
        /// </summary>
        [Description("名称首字母缩写")]
        public string NAME_ACRONYM { get; set; }


        [Description("是否默认")]
        public bool IS_DEFAULT{ get; set; }

        [Description("启用标志")]
		[EnumName("FMEnableStatusEnum")]
		public int ENABLE_STATUS { get; set; }

        [Description("备注")]
        public string REMARK { get; set; }

        [Description("节假日方案ID")]
        public Guid? HOLIDAY_ID { get; set; }

        [Description("导航属性：日历班次表")]
        public virtual ICollection<T_FM_CALENDAR_CLASS> Nav_CalendarClass { get; set; }

        [Description("导航属性：节假日方案")]
        public virtual T_FM_HOLIDAY Nav_Holiday { get; set; }

    }
}
